Installer - Bug #20912

Satellite-installer --foreman-proxy-dhcp-interface don't configure properly dhcpd interface on Rhel7
09/13/2017 09:19 AM - Ilvan Necas

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1490443 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-dh

cp/pull/110
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1490443

Description of problem:

--foreman-proxy-dhcp-interface eth1 switch add interface name (eth1) to /etc/sysconfig/dhcpd. It work on Rhel6 but not on Rhel7
since this configuration file is ignored by systemctl

Version-Release number of selected component (if applicable):

Red Hat Satellite 6.2.11 and Red Hat Enterprise 7.x

How reproducible:

Install a Rhel 7 server and Red Hat Satellite 6.2 with switch --foreman-proxy-dhcp-interface to a specific interface
Steps to Reproduce:

1. Install a Rhel 7

2. Install Red Hat Satellite 6.2 with switch --foreman-proxy-dhcp-interface

3. Checks arguments on dhcpd command line with ps

4. Checks dhcpd listening interface with netstat or Isof

Actual results:

dhcpd listen on all interfaces even with -foreman-proxy-dhcp-interface switch

Expected results:

dhcpd should listen on a specifique interface and not complain about unconfigured networks from any other interfaces

Additional info:

On RHEL 7.x (or systemd compliant os) /etc/sysconfig/dhcpd should not be configured and something like followinf commands
should be done (example with eth1)

#> sed 's|"ExecStart=.*$|& eth1]|' /ust/lib/systemd/system/dhcpd.service > /etc/systemd/system/dhcpd.service
#> systemctl --system daemon-reload

cf :
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-dhcp-configuring-server.h
tml

#> systemctl status dhcpd

[ dhepd.service - DHCPv4 Server Daemon

Loaded: loaded (/etc/systemd/system/dhcpd.service; enabled; vendor preset: disabled)
Active: active (running) since Mon 2017-09-11 15:46:11 CEST; 9s ago
https://bugzilla.redhat.com/show_bug.cgi?id=1490443
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-dhcp-configuring-server.html
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-dhcp-configuring-server.html

Docs: man:dhcpd(8)
man:dhcpd.conf(5)

Main PID: 3236 (dhcpd)

Status: "Dispatching packets..."
CGroup: /system.slice/dhcpd.service

L—3236 /usr/shin/dhcpd here eth1

journalctl uﬂhepd

dhepda’zss—l;er—lm—please—\ﬁsmhttos //www.isc.org/software/dhcp/
dhepd3236—Wre{e~G—le~ases—te—leases4ﬂe~

3236,

: listen
dhcpd®28: Sending on LPF/eth1/52:54:00:86:19:32/10.100.100.0/24 <--—-- answers
dhcpd®2®: Sending on  Socket/fallback/fallback-net

systemd": Started DHCPv4 Server Daemon.

instead of

systemd®: Starting DHCPv4 Server Daemon...

dhcpd®28: Internet Systems Consortium DHCP Server 4.2.5
dhcpd®2: Copyright 2004-2013 Internet Systems Consortium.
dhcpd®®®: All rights reserved.

dhcpd®8: For info, please visit https:/www.isc.org/software/dhcp/
dhcpd®®®8: Not searching LDAP since Idap-server, Idap-port and Idap-base-dn were not specified in the config file
dhcpd®®®: Internet Systems Consortium DHCP Server 4.2.5
dhcpd®®®8: Copyright 2004-2013 Internet Systems Consortium.
dhcpd®®: All rights reserved.

dhcpd®®®: For info, please visit https://www.isc.org/software/dhcp/
dhcpd®2: Wrote 0 leases to leases file.

dhcpd®®: Listening on LPF/eth1/52:54:00:86:19:3a/10.100.100.0/24
dhcpd®®®®: Sending on  LPF/eth1/52:54:00:86:19:3a/10.100.100.0/24

dhcpd®®®;
dhcpd®®*®: No subnet declaration for eth0 (10.100.1.20). <------ listen on eth0 and eth1 and complain
dhcpd®®®: * Ignoring requests on eth0. If this is not what about undefined network in dhcpd.conf

dhcpd®®®:  you want, please write a subnet declaration
dhcpd®®®: in your dhcpd.conf file for the network segment
dhcpd®®*: to which interface eth0 is attached. *

dhcpd®®°e:

dhcpd®®®®: Sending on  Socket/fallback/fallback-net

systemd": Started DHCPv4 Server Daemon.

Associated revisions

Revision df9f653e - 09/14/2017 08:27 AM - Ewoud Kohl van Wijngaarden
Fixes #20912 - Listen on interfaces in EL7

pmg server
suggests to override the full file but this just uses a drop-in to

change as little as possible.

History

#1 - 09/13/2017 09:21 AM - Ivan Necas

- Subject changed from Satellite-installer --foreman-proxy-dhcp-interface don't configure properly dhcpd interface on Rhel7
to Satellite-installer --foreman-proxy-dhcp-interface don't configure properly dhcpd interface on Rhel7

- Category set to Foreman modules

#2 - 09/13/2017 10:56 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-dhcp/pull/110 added
https://www.isc.org/software/dhcp/
https://www.isc.org/software/dhcp/
https://www.isc.org/software/dhcp/
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-dhcp-configuring-server.html#starting-stopping-server
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-dhcp-configuring-server.html#starting-stopping-server

#3 - 09/14/2017 10:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-dhcp|df9f653e1e3802595f77cadbcec82395f6b4c40d.
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-dhcp/revisions/df9f653e1e3802595f77ca4bcec82395f6b4c40d
http://www.tcpdf.org

